Subject: Re: [PATCH net v2] igb: Fix XDP with PTP enabled

From: Kurt Kanzenbach <[email-masked]>
Date: Mon, 26 Apr 2021 16:15:08 +0200

On Sun Apr 25 2021, Tyler S wrote:
> Thanks for this work; I was having trouble using XDP on my I354 NIC until this.
>
> Hopefully I have not err'd backporting it to 5.10 -- but I'm seeing
> jumbo frames dropped after applying this (though as previously
> mentioned, non-skb/full driver XDP programs do now work).
>
> Looking at the code, I'm not sure why that is.

I'm also not sure, yet.

Can you try with version 3 of this patch [1] and see if there are still
issues with jumbo frames? Can you also share the backported patch for
v5.10?

Thanks,
Kurt

[1] - https://lkml.kernel.org/netdev/[email-masked]/